Subject: Re: PATCH Re: udp weirdness

From: Eric Lemoine <[email-masked]>
Date: Wed, 2 Oct 2002 13:13:26 +0200

> > I may have to poke around...if nothing else I'll learn more about the 
> > networking code...
> 
> It is difficult task, if possible at all.
> 
> The main obstacle is that we must not block after select() succeeded,
> otherwise applications will lockup. Taking into account nature of datagram
> services (and generally of networking services, where routes change et al.)
> you do not know at time of select(), where the datagram will go.
> So, blocking can be made only based on a criterium not depending on this.
> problems with silent losses. People just do not care about this, so
> they get the thing which they deserve.

Alexey,

Would you mind explaining a bit more why apps will lockup if we block
after select() succeeded. Or anyone?

Thx.

	Eric.